%global pypi_name requests-unixsocket

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %mkrel 3
Summary:        Use requests to talk HTTP via a UNIX domain socket
License:        ASL 2.0
Group:          Development/Python
URL:            https://pypi.org/project/requests-unixsocket
Source0:        %{pypi_source}
BuildArch:      noarch

# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description
Use requests to talk HTTP via a UNIX domain socket.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(requests)
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(urllib3)
BuildRequires:  python3dist(waitress)

%description -n python3-%{pypi_name}
Use requests to talk HTTP via a UNIX domain socket.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Remove shebangs
sed -i '1d' requests_unixsocket/tests/test_requests_unixsocket.py
sed -i '1d' setup.py

%build
%py3_build

%install
%py3_install

%check
#%{__python3} -m pytest -v

%files -n python3-%{pypi_name}
%doc README.rst
%doc LICENSE
%{python3_sitelib}/requests_unixsocket
%{python3_sitelib}/requests_unixsocket-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Dec 09 2023 wally <wally> 0.3.0-3.mga10
+ Revision: 2016474
- rebuild for py3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.3.0-2.mga9
+ Revision: 1832817
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.3.0-1.mga9
+ Revision: 1782730
- version 0.3.0
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 0.2.0-2.mga9
+ Revision: 1708479
- rebuild for python 3.9

* Wed Nov 11 2020 guillomovitch <guillomovitch> 0.2.0-1.mga8
+ Revision: 1644569
- imported package python-requests-unixsocket

